The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Релиз web-браузера Chrome 28 с повышением минимальных требований к Linux-системам

18.06.2013 09:50

Компания Google представила релиз web-браузера Chrome 28. Браузер построен на кодовой базе свободного проекта Chromium и отличается использованием логотипов Google, встроенной поддержкой Flash и PDF, наличием системы отправки уведомлений в случае краха, системой автоматической установки обновлений и передачей при поиске RLZ-параметров.

Основные изменения:

  • Прекращена поддержка устаревших выпусков Linux-дистрибутивов, в том числе Chrome 28 теперь не может быть использован в RHEL 6 и Debian 6 (Squeeze). Минимальные требования к дистрибутивам подняты до Ubuntu 12.04+, Debian 7+, OpenSuSE 12.2+ и Fedora Linux 17+. Повышение системных требований обусловлено прекращением поддержки в Chrome и Chromium старых версий библиотеки GTK+, ниже версии 2.24;
  • В браузерном движке Blink (форк WebKit) задействован новый многопоточный парсер HTML. Новый парсер примечателен выносом стадии разбора HTML из основной нити JavaScript и ускорением загрузки страниц за счёт конвейерной обработки контента (обработка следующего блока начинается до окончания обработки предыдущего). По сравнению с ранее используемым парсером удалось добиться повышения скорости загрузки DOM-контента на 10% и на 40% сократить максимальное время приостановки иной обработки во время парсинга;
  • В движок V8 добавлены дополнительные оптимизации для ускорения выполнения кода JavaScript. В частности, внесённые изменения позволили более чем в два раза увеличить скорость выполнения приложений, использующих Asm.js, продвигаемого разработчиками Mozilla низкоуровневого подмножества языка JavaScript со строгой типизацией. Подмножество JavaScript, предлагаемое в Asm.js, полностью совместимо с обычным JavaScript и может выполняться в любых браузерах, так как вся дополнительная информация определяется в форме аннотаций;
  • В дополнение к SPDY/3.1 реализована экспериментальная поддержка предварительной версии протокола SPDY/4;
  • HTML-заголовок Content Security Policy избавлен от префикса "X-WebKit-" и теперь обрабатывается как "Content-Security-Policy". Поддержка варианта с префиксом ("X-WebKit-CS") пока сохранена, но будет прекращена в будущих выпусках. Технология Content Security Policy направлена на интеграцию в web-браузеры специального HTTP-заголовка для защиты от организации межсайтового скриптинга (XSS) и подстановки в страницы "IFRAME/JavaScript src" блоков. Используя указанный заголовок web-мастер может явно задать какие из скриптов можно выполнять для заданного домена, например, можно разрешить только выполнение локальных JavaScript-файлов и заблокировать выполнение JavaScript-блоков, определенных непосредственно в HTML документе или размещённых на внешнем сайте;
  • Объявлен устаревшим HTML API (вызов createHTMLNotification) для вывода уведомлений из расширений к браузеру Chrome. Для вывода уведомлений следует использовать новый Rich Notifications Chrome API, примечательный возможностью создания интерактивных уведомлений, взаимодействующих с пользователем;
  • Поддержка CSS-псевдокласса "@supports", позволяющего протестировать поддержку специфичных свойств и значений CSS. В случае, если поддержка запрошенного свойства отсутствует, у разработчика появляется возможность в прозрачном режиме задействовать в программе запасной вариант;
  • Поддержка CSS-псевдокласса ":unresolved" для определения стиля с использованием ещё незарегистрированного в браузере элемента, определяемого через Custom Element.


  1. Главная ссылка к новости (http://googlechromereleases.bl...)
  2. OpenNews: Выпуск Chrome OS 27
  3. OpenNews: Вышел Chrome 27 для платформы Android
  4. OpenNews: Вышел web-браузер Chrome 27
  5. OpenNews: Увидел свет web-браузер Chrome 26
  6. OpenNews: Компания Google представила Blink, форк движка WebKit
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/37197-chrome
Ключевые слова: chrome
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (48) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Xasd (ok), 09:57, 18/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    > Технология Content Security Policy направленна на интеграцию в web-браузеры специального HTTP-заголовка для защиты от проведения CSRF-атак

    хм...

    а вот тут [ http://people.mozilla.org/~bsterne/content-security-policy/ ] написанно:

    """A robust anti-CSRF mechanism is provided in the Origin header proposal, which is independent from Content Security Policy."""

    # P.S.: я как бы не против если вдруг CSP поддерживает защиту от CSRF.. но где бы почитать как это делается в CSP?

     
  • 1.2, бедный буратино (ok), 09:59, 18/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • –10 +/
    Это, конечно, смешно, но я вчера поставил Debian 4.0 Etch (июнь 2007), который вышел через несколько месяцев после висты. Насколько там WinAPI устарело в висте? Его поддержку сворачивают?

    Синдром Печкина, блин. Я принёс вам посылку, только я вам её не отдам.

     
     
  • 2.4, 1 (??), 10:21, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +3 +/
    за поддержку winapi деньги платятся, в отличие от.
     
     
  • 3.7, бедный буратино (ok), 10:58, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Кем платятся? Кому платятся? И в чём отличие gtk ОТ?

    Ещё раз, помедленнее: Google удаляет поддержку Red Hat 6 и Debian 6, но при этом не удаляет поддержку Vista, потому что ...

     
     
  • 4.16, wS (?), 13:07, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    потому что
    >за поддержку winapi деньги платятся, в отличие от.
     
     
  • 5.19, бедный буратино (ok), 13:32, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +9 +/
    >>за поддержку winapi деньги платятся, в отличие от.

    И много тебе заплатили за поддержку winapi на форумах?

     
  • 4.17, Аноним (-), 13:07, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +5 +/
    Потому что в Linux принято не таскать с собой все зависимости программы в архиве с ней, а принято использовать /usr/lib. Разве что какой-нибудь libIL, которого ни в одной системе нет. Для повсеместно используемой библиотеки в пакет RPM/DEB прописывается зависимость от неё. А в Windows если бы возникла проблема с недостающей библиотекой, её положили бы в каталог с программой.

    Для того, чтобы RPM/DEB с Google Chrome мог дальше работать в RHEL 6 и Debian 6, достаточно всего лишь обновить GTK2 до версии 2.24 и старше. Например из SRPM, DEB-SRC, или если в squeeze-backports есть бинарный пакет, то оттуда.

     
     
  • 5.30, arisu (ok), 16:20, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    > достаточно всего лишь обновить GTK2 до версии 2.24 и старше

    и получить испорченый дегенератом-бэкпортером файловый диалог. без возможности вернуть старое поведение. не всех прикалывает лечить это и пересобирать пакет.

     
  • 4.20, Andrey Mitrofanov (?), 13:43, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    > Кем платятся? Кому платятся? И в чём отличие gtk ОТ?

    Ну, предположим, ден-знак-поток с "пользователей" хрома версии winapi-vista на несколько порядков отличается от такового в версиях

    >поддержку Red Hat 6 и Debian 6,

    вместе взятых. Дальше про "бесплатные" бизнес-модели, продажу пользователей и пр. -- сам?

     
     
  • 5.21, бедный буратино (ok), 13:49, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    >> Кем платятся? Кому платятся? И в чём отличие gtk ОТ?
    > Ну, предположим, ден-знак-поток с "пользователей" хрома версии winapi-vista на несколько порядков отличается от такового в версиях

    Начнём издалека. Какая оперативная цель у Google? (Только не надо про "заработать денег", удержаться сложнее, чем взобраться, и там любое движение не туда это не "заработать денег", а "потерять денег")


    >>поддержку Red Hat 6 и Debian 6,
    > вместе взятых. Дальше про "бесплатные" бизнес-модели, продажу пользователей и пр. -- сам?

    Начнём издалека. Зачем делать версию "для Linux"?

     
  • 2.6, kurokaze (ok), 10:34, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +2 +/
    А по делу есть что сказать?
     
     
  • 3.8, бедный буратино (ok), 11:04, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > А по делу есть что сказать?

    Есть. Большинство граждан обожают чужое, и ненавидят своё, потому что чужое - это чужое, а своё - это своё. И не хотят нести ни за что ответственность, и в это же время всё время ноют НУ КОГДА ЖЕ НАМ ПОСТРОЮТЬ хорошо!!! А, а вон там ЛУШШЕЕ!. Поэтому они даже не видят, какие мелочи имеют решающее значение, и когда попустительство в одном может принести через 20 лет глобальную проблему в другом.

    И всё в таком духе...

    Но вы же не поймёте. Вы просто всего этого не видите, потому что смотрите не туда, и все насквозь пропитаны стереотипами (так проще. и в общении проще сойти "за своего", и реплики можно плодить, не разбираясь).

    И уж тем более вас всё это не волнует.

    Поэтому слушайте про Печкина. Какие ТУТ могут быть вопросы?

     
     
  • 4.31, arisu (ok), 16:25, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +1 +/
    то есть, нечего.
     
     
  • 5.34, бедный буратино (ok), 16:34, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > то есть, нечего.

    То есть, нечего. Ибо языков местных я не понимаю, и с общением между людьми это не имеет вообще никакого отношения, скорее это споры АБСОЛЮТНЫХ ИСТИН, НЕ ДОПУСКАЮЩИХ ДРУГОГО ТРАКТОВАНИЯ, ВЗЯТЫХ ИЗ САМЫХ НАДЁЖНЫХ ИСТОЧНИКОВ (вчера в автобусе краем уха услышал; позавчера на сайте истеричек прочитал и почти что-то понял; взял из сводки хитов жёлтой прессы; другие источники-близкие-к-достоверным).

    К сожалению, у меня таких истин нет. Поэтому и сказать нечего, ведь приходится пользоваться такими доисторическими понятиями как "здравый смысл", "компромисс", "внимание к чужому мнению" - а это уже тут не понимают. Но... возможность оставаться человеком везде - бесценна.

    Главное, чтобы я знал, что и зачем говорю.

     
  • 4.42, Аноним (-), 21:31, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Есть. Большинство граждан обожают чужое, и ненавидят своё, потому что чужое -
    > это чужое, а своё - это своё. И не хотят нести
    > ни за что ответственность, и в это же время всё время
    > ноют НУ КОГДА ЖЕ НАМ ПОСТРОЮТЬ хорошо!!! А, а вон там
    > ЛУШШЕЕ!.

    Вы это про себя? Обожаете висту, потому что под неё будет работать новый хром, а вам с вашими гнилыми Этчами - хрен, и ответственность за использование тухлой системы вы нести не хотите, ноете только в путь, и, главное, никогда в жизни не поднимите жопу чтобы что-то изменить.

     
     
  • 5.47, closet_source (ok), 22:18, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    Хороший срач развели. Главное, всё так загадочно. И не разберёшь, кто за что поборолся :)
     
     
  • 6.51, цирроз (ok), 11:09, 19/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    скорее всего, потому что у кого-то пятница в начале недели началась. ;)
     
  • 2.10, Аноним (-), 11:12, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Gnome/GTK Coding style, сэр. Там чуть ли не во всех проектах принято бездумно пихать требования последних версий сопутствующих  библиотек и плевать на обратную совместимость. В результате уже через пару месяцев или версий на актуальной системе софт просто отказывается собираться.
     
     
  • 3.11, бедный буратино (ok), 11:26, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • –3 +/
    Мы только что выяснили, что GTK там по остаточному принципу, и никто этим не заморачивается.

    Короче говоря, "подачка до кучи". Нужно иметь самоуважение, чтобы такие вот "Кто там ещё, Linux? Ну нате, нате, нате вам свой Linux, подавитесь" не принимать.

    Лично я лучше за Midori болеть буду.

     
  • 2.12, Михаил (??), 12:31, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +1 +/
    винапи майкрософт поддерживает, а у хромиума видимо нет сил на поддержку древнего гнома, ну а гномеры на обратную совместимость поклали.
     
     
  • 3.35, Борода (??), 18:06, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    А зачем поддержвать баги?
     
     
  • 4.44, Аноним (44), 21:49, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Баги нужно исправлять, а не выбрасывать все и писать новые баги.


     
  • 2.13, цирроз (ok), 12:49, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +2 +/
    извини, а на кой хрен Etch? например, у нас на работе ситуация вынуждает поддерживать проекты, которые еще работают, диагностику производить и пр. поэтому и возимся. по открытым проектам порой бывает еще Lenny, поэтому пришлось вырубить с++0x. кривости реализации обнаружились.
    может железка старая? так и в этом случае у меня на ноуте вполне себе нормально актуальный Sid чувствует

    про семёрку знаю, что там было в очередной раз API немного переделано, что в очередной раз появился список несовместимых программ. Как и в истории с вистой. Программисты, в какой раз матерясь, начали делать патчи, чтобы их программы запустились. про восьмерку не знаю, но что-то мне подсказывает...

     
     
  • 3.14, бедный буратино (ok), 12:51, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > извини, а на кой хрен Etch?

    Поплакать.

     
  • 2.15, anonymous (??), 13:06, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Debian Etch 4.0 дата окончания поддержки февраль 2010 года
    Windows Vista SP2 дата окончания поддержки 11 апреля 2017

    Есть еще вопросы?

     
     
  • 3.18, бедный буратино (ok), 13:32, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    > Debian Etch 4.0 дата окончания поддержки февраль 2010 года
    > Windows Vista SP2 дата окончания поддержки 11 апреля 2017
    > Есть еще вопросы?

    Есть. Почему миллионы людей продолжают работать на костыль, вместо того, чтобы научиться ходить? Ведь понятно, что костыль сам по себе ходить не сможет. И виста несамодостаточная ОС. В отличие от Debian.

    Но это вопрос из другой серии. Почему люди ведутся на слабо, на разводки, на МММ, почему средняя закомплексованность среднего гражданина превышает 100% и почему современное общество это культивирует, почему, если начать разбираться, то видны очевидные проблемы, но все делают вид, что их нет, и продолжают с упорством носорога цепляться за то, за что цепляться не следует.

    Короче говоря, почему все мудаки объединияются и держутся друг за друга, а все хорошие люди только разъединяются и боятся слова "сотрудничество" и "доверие" больше, чем тех, кто им палки в колёса суёт безо всякого сотрудничества и безо всякого доверия.

    Чёж мы за люди-то такие?

     
     
  • 4.41, Аноним (-), 21:27, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Что вы за люди такие - хороший вопрос Я вот никак не пойму почему люди ставят с... большой текст свёрнут, показать
     
     
  • 5.49, arisu (ok), 09:24, 19/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    к сожалению, до того, как стать героями, большинство из них успевает размножиться.
     
  • 4.45, Аноним (44), 22:11, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    > Есть. Почему миллионы людей продолжают работать на костыль

    Я купил ноутбук - 3D дисплей, 3D очки, NVIDIA 670MX - и я просто хочу посмотреть 3D фильм. Но твой костыль мне этого не позволяет сделать. Видите ли мы не такие. Почему я должен пользоваться твоим костылем?

     
     
  • 5.50, arisu (ok), 09:27, 19/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    попробуй спросить у производителей своего железа, какого чёрта они вынуждают тебя пользоваться Единственно Верным Костылём.

    о результатах можешь не сообщать, мы и так знаем.

     

  • 1.3, бедный буратино (ok), 10:03, 18/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    > Технология Content Security Policy направленна на интеграцию в web-браузеры специального HTTP-заголовка для защиты от проведения CSRF-атак, организации межсайтового скриптинга (XSS) и подстановки в страницы "IFRAME/JavaScript src" блоков.

    HTTP 2.0 request
    ...
    Messages-To-Hackers: Не ломайте меня, пожалуйста, я свой, я добрый
    ...

     
  • 1.24, Иван Иванович Иванов (?), 15:17, 18/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Инструкция по установке Google Chrome 28 в CentOS 6.4/Google Chrome 28 installation how to in CentOS 6.4:

    http://linuxfonts.narod.ru/installing-new-google-chrome-in-centos6.html

     
     
  • 2.25, бедный буратино (ok), 15:24, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    > Инструкция по установке Google Chrome 28 в CentOS 6.4/Google Chrome 28 installation
    > how to in CentOS 6.4:
    > http://linuxfonts.narod.ru/installing-new-google-chrome-in-centos6.html

    Товарищ, встань с колен! Хром прхиодит и уходит, а привычка стоять на коленях - останется.

     

  • 1.27, Аноним (-), 15:52, 18/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    >теперь не может быть использован в RHEL 6

    Вот что им мешало потерпеть несколько месяцев до выхода 7ки? Сначала Steam с его линковкой с новой glibc, теперь Chrome с gtk. И ведь и у glibc, и у gtk нет проблем с обратной совместимостью - собрали бы со старыми версиями, на новых работало бы без проблем. С трудом верится, что без нескольких новых функций, добавленных в новых версиях, нельзя было обойтись.

     
     
  • 2.29, бедный буратино (ok), 15:54, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    > Вот что им мешало потерпеть несколько месяцев до выхода 7ки? Сначала Steam
    > с его линковкой с новой glibc, теперь Chrome с gtk. И
    > ведь и у glibc, и у gtk нет проблем с обратной
    > совместимостью - собрали бы со старыми версиями, на новых работало бы
    > без проблем. С трудом верится, что без нескольких новых функций, добавленных
    > в новых версиях, нельзя было обойтись.

    A. Это заговор Марка

    B. Это некомпетентность разработчиков

    C. Это наплевательсво корпораций

    D. Это модно


    Это Максим Галкин и с вами шоу "Как мы докатились до жизни такой?".

     
  • 2.33, arisu (ok), 16:28, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    ну так ставь на старую систему старые версии хрома, чего жужжишь-то?
     

  • 1.36, Аноним (-), 18:21, 18/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Странно, а у меня ещё не видит новой версии, ни в Ubuntu, ни даже в Windows, пишет, что 27 - последняя.
     
     
  • 2.38, qweasdzxc123 (?), 18:43, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    http://googlechromereleases.blogspot.com/
     
  • 2.46, paulus (ok), 22:15, 18/06/2013 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Вообще-то последняя на данный момент 29.0.1542.0 (207005)
     
     
  • 3.53, Аноним (-), 01:28, 20/06/2013 [^] [^^] [^^^] [ответить]  
  • +/
    29 - это ж не релиз ещё. А в новости написано "представила релиз" версии 28.
     

  • 1.37, Заоза (?), 18:38, 18/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Я надеюсь maxthon таки перепишут под Убунту хотя бы. А то требования растут, а новых вау фич нету.
     
  • 1.39, Аноним (-), 19:11, 18/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    А зачем нужен хром? Других браузеров что-ли нету?
     
  • 1.40, Аноним (40), 19:41, 18/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Не X-WebKit-CS, а X-WebKit-CSP
     
  • 1.54, Аноним (-), 04:32, 20/06/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Spdy4 что уж там давайте сразу spdy28
     
  • 1.55, iZEN (ok), 21:07, 23/07/2013 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Не собирается:
    % cd /usr/ports/www/chromium/ && make MAKE_JOBS_UNSAFE=yes
    ...
    ...
    ...
    gmake: *** [out/Release/obj/gen/webkit/CSSGrammar.y] Ошибка 2
    *** [do-build] Error code 1

    Stop in /usr/ports/www/chromium.
    *** [build] Error code 1

    Stop in /usr/ports/www/chromium.
    %

     
     
  • 2.56, arisu (ok), 21:14, 23/07/2013 [^] [^^] [^^^] [ответить]  
  • +/
    опять у изи что-то не собирается. традиция уже.
     
  • 2.57, Аноним (-), 00:16, 31/07/2013 [^] [^^] [^^^] [ответить]  
  • +/
    Дак разберись в чем проблема.У меня вот E17 и audacious не собирались в DragonFly, я изучил проблему и написал патчи. Или ты только трындень о BSD vs GPL можешь, а как до дела доходит, то сразу пшик?
     

  • 1.60, Аноним (60), 22:50, 11/12/2015 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    pf t , f kb yf [ e q ce rb , kz nm
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру